# GpioExt in k210_hal::gpio - Rust
Extension trait to split a GPIO peripheral into independent pins
Keywords: rust, rustlang, rust-lang, GpioExt

# Trait k210_hal::gpio::GpioExt

source · [−]

    pub trait GpioExt {
        fn split(self, apb0: &mut APB0) -> Parts;
    }

Expand description

Extension trait to split a GPIO peripheral into independent pins

## Required methods

source

#### fn split(self, apb0: &mut APB0) -> Parts

Split the GPIO peripheral into parts

## Implementations on Foreign Types

source

### impl GpioExt for GPIO

source

#### fn split(self, apb0: &mut APB0) -> Parts

## Implementors